Skip to main content
PUT
/
notes
/
{note_id}
/
answers
Update Note Answers
curl --request PUT \
  --url https://api.decodahealth.com/notes/{note_id}/answers \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "answers": [
    {
      "id": "<string>",
      "data": {},
      "noteAttachmentId": "<string>"
    }
  ]
}
'
import requests

url = "https://api.decodahealth.com/notes/{note_id}/answers"

payload = { "answers": [
{
"id": "<string>",
"data": {},
"noteAttachmentId": "<string>"
}
] }
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: [{id: '<string>', data: {}, noteAttachmentId: '<string>'}]})
};

fetch('https://api.decodahealth.com/notes/{note_id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "noteId": "<string>",
    "questionId": "<string>",
    "data": {},
    "createdDate": "2023-11-07T05:31:56Z"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

note_id
string
required

Body

application/json

Schema for updating multiple note answers.

answers
NoteAnswerUpdate · object[]
required

Response

Successful Response

id
string
required
noteId
string
required
questionId
string
required
data
Data · object
required
createdDate
string<date-time>
required